%define base_name	kde-style
%define theme_name	thinkeramikmod
%define alt_name	thinkeramik-mod
%define name		%{base_name}-%{theme_name}
%define version		1.0
%define release		1mdk
%define summary		Thinkeramik-mod kstyle and kwin theme for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{alt_name}-%{version}.tar.bz2
URL:			http://www.kde-look.org/
BuildRequires:		kdelibs-devel
BuildRequires:		kdebase-devel
BuildRequires:		png-devel,jpeg-devel
BuildRequires:		qt3-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
ThinKeramik was originally a style based on KDE's Keramik style. 
ThinKeramik-Mod is a lot of graphic hacks coupled with some code 
hacks to give a KDE style all its own. It alters ThinKeramik's look 
and functionality hopefully for the better.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{alt_name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings
%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/kde3/kstyle_%{theme_name}_config.la
%{_libdir}/kde3/kstyle_%{theme_name}_config.so
%{_libdir}/kde3/plugins/styles/%{theme_name}.la
%{_libdir}/kde3/plugins/styles/%{theme_name}.so
%{_datadir}/apps/kstyle/themes/%{theme_name}.themerc
%{_datadir}/apps/kdisplay/color-schemes/Pastels.kcsrc

%changelog
* Mon Dec 06 2004 Laurent Culioli <laurent@mandrake.org> 1.0-1mdk
- initial spec

